> # NAME

> FogVertexMode - 3D API fog vertex mode

> # USAGE

> FogVertexMode = int(mode)

> # VALID ENUMERANTS

> mode: None, Exp, Exp2, Linear

> # DESCRIPTION

> Specify whether to use the fog coordinate or fragment depth as distance value in the fog computation.

> See the GL_FOG_COORDINATE_SOURCE description on the OpenGL glFog manual page for details. See the D3DRS_FOGVERTEXMODE render state description for DirectX 9.

> The standard reset callback sets the FogVertexMode state to int(GL_FRAGMENT_DEPTH_EXT).

> # OPENGL FUNCTIONALITY REQUIREMENTS

> OpenGL 1.4 or support for extension EXT_fog_coord.

> # DIRECT3D FUNCTIONALITY REQUIREMENTS

> DirectX 9

> # SEE ALSO

> FogColor, FogCoordSrc, FogDensity, FogDistanceMode, FogEnable, FogEnd, FogMode, FogStart, FogTableMode, RangeFogEnable